const _default_ = require('./default');
const features = require('./features');
const geometries = require('./geometries');
const shared = require('./shared');
const layer = require('./layer');
const layers = require('./layers');

const handlers = {
  _default_: _default_,
  features: features,
  geometries: geometries,
  shared: shared,
  layer: layer,
  layers: layers
}

const getHandler = (token) => {
  return handlers[token] || handlers._default_;
};

module.exports = getHandler;